Subject: Re: bug#10169: a simple interrupt evokes abort?! (but only with (require 'saveplace))

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 01 Dec 2011 14:38:28 -0500

Stefan Monnier <[email-masked]> writes:

>> So anyone can reproduce it by running this and then hitting ^C:
>
>>   $ touch /tmp/k; emacs -q --eval "(require 'saveplace)" /tmp/k
>>   ^CFatal error (6)zsh: abort (core dumped)  emacs -q --eval "(require\
>>     'saveplace)" /tmp/k
>>   [Exit 134 (ABRT)]
>
> I can reproduce it indeed with Debian testing's emacs23 as well as with
> the current trunk.
>
> I have to be careful to hit C-c before Emacs actually opens the frame
> (i.e. interrupt it during startup), otherwise it exits cleanly.

I cannot reproduce it with emacs-23.3 on Fedora 16... 
I can reproduce it on yesterday's trunk.

I vaguely remember there was some problem with saveplace.el and 
emacs --daemon, something about saveplace.el wanting to chat when
shutting down.  No idea if that's related, and I can't find the
discussion at the moment...